---
title: MediaKeyStatusMap.entries()
slug: Web/API/MediaKeyStatusMap/entries
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Method
  - Reference
  - entries()
---
<p>{{APIRef("EncryptedMediaExtensions API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>entries()</code></strong> read-only property of the {{domxref("MediaKeyStatusMap")}} interface returns a new Iterator object, containing an array of [key, value] pairs for each element in the status map, in insertion order.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">// TBD</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<h3 id="Exceptions">Exceptions</h3>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.entries")}}</p>
</div>
